Folks.PresenceDetails.typecmp – folks Reference Manual

# typecmp

## Description:

public static int typecmp (PresenceType type_a, PresenceType type_b)

Compare two PresenceTypes.

`0` will be returned if the types are equal, a positive number will be returned if `type_a` is more available than `type_b`, and a negative number will be returned if the opposite is true.

## Parameters:

type_a | the first PresenceType to compare
type_b | the second PresenceType to compare

## Returns:

a number representing the similarity of the two types

## Since:

0.1.11